summaryrefslogtreecommitdiffstats
path: root/win/tools/collect_kdelibs_pro_files
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitce4a32fe52ef09d8f5ff1dd22c001110902b60a2 (patch)
tree5ac38a06f3dde268dc7927dc155896926aaf7012 /win/tools/collect_kdelibs_pro_files
downloadtdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.tar.gz
tdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdelibs@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'win/tools/collect_kdelibs_pro_files')
-rwxr-xr-xwin/tools/collect_kdelibs_pro_files22
1 files changed, 22 insertions, 0 deletions
diff --git a/win/tools/collect_kdelibs_pro_files b/win/tools/collect_kdelibs_pro_files
new file mode 100755
index 000000000..ea2466ef2
--- /dev/null
+++ b/win/tools/collect_kdelibs_pro_files
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+# Copies all used .pro (and a few shell) files kdelibs/ to kdelibs/win/pro_files/
+# what makes it easier to commit that to KDE CVS
+# (c) 2005, Jaroslaw Staniek
+
+dest=win/pro_files
+mkdir -p $dest
+
+.check_kde_env || exit 1
+
+cd "$KDELIBS"
+
+for pro in `find . -name \*.pro | grep -v "\/\.\|^\.\/win/"` kded/makeall.sh kded/makeall_rel.sh ; do
+ dir=`dirname "$pro"`
+ mkdir -p "$dest/$dir"
+ if [ "$pro" -nt "$dest/$pro" ] ; then
+ cp -p "$pro" "$dest/$pro"
+ echo "$pro"
+ fi
+done
+